View Issue Details

IDProjectCategoryView StatusLast Update
0018957LazarusLCLpublic2011-03-24 16:59
ReporterEdinAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0018957: TrackBar on PageControl focus error
DescriptionWhen focused on (with click or tab) TrackBar on PageControl doesnt show its lines, and no focus rectangle is visible either.

Lazarus-0.9.31-29921-fpc-2.4.3-20110320-win32.exe

WinXP
TagsNo tags attached.
Fixed in Revision29995
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

2011-03-21 00:17

 

trackbarbug.jpg (21,985 bytes)
trackbarbug.jpg (21,985 bytes)

Paul Ishenin

2011-03-21 06:54

manager   ~0046717

Can't reproduce on windows 7. Can you attach a demo application?

2011-03-21 10:05

 

trackbarbug2.jpg (19,990 bytes)
trackbarbug2.jpg (19,990 bytes)

2011-03-21 10:05

 

trackbareerrdemo.zip (930,492 bytes)

Edin

2011-03-21 10:08

reporter   ~0046721

Uploaded a demo.
I made some new discovery.
It's not only on PageControl. Its also on normal form.

Also its only when its a vertical trackbar.
Horizontal works ok.

Paul Ishenin

2011-03-23 10:30

manager   ~0046763

Please test and close if ok.

Edin

2011-03-24 16:59

reporter   ~0046794

Works. Tested on:
Lazarus-0.9.31-30005-fpc-2.4.3-20110324-win32.exe
Thank you!

Issue History

Date Modified Username Field Change
2011-03-21 00:17 Edin New Issue
2011-03-21 00:17 Edin File Added: trackbarbug.jpg
2011-03-21 00:17 Edin Widgetset => Win32/Win64
2011-03-21 06:54 Paul Ishenin LazTarget => -
2011-03-21 06:54 Paul Ishenin Note Added: 0046717
2011-03-21 06:54 Paul Ishenin Status new => feedback
2011-03-21 10:05 Edin File Added: trackbarbug2.jpg
2011-03-21 10:05 Edin File Added: trackbareerrdemo.zip
2011-03-21 10:08 Edin Note Added: 0046721
2011-03-23 10:25 Paul Ishenin LazTarget - => 1.0
2011-03-23 10:25 Paul Ishenin Status feedback => confirmed
2011-03-23 10:25 Paul Ishenin Target Version => 1.0.0
2011-03-23 10:30 Paul Ishenin Fixed in Revision => 29995
2011-03-23 10:30 Paul Ishenin Status confirmed => resolved
2011-03-23 10:30 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-03-23 10:30 Paul Ishenin Resolution open => fixed
2011-03-23 10:30 Paul Ishenin Assigned To => Paul Ishenin
2011-03-23 10:30 Paul Ishenin Note Added: 0046763
2011-03-24 16:59 Edin Status resolved => closed
2011-03-24 16:59 Edin Note Added: 0046794